Subject: Re: bug#44471: [PATCH] Simplify text-quoting-style

From: Stefan Kangas <[email-masked]>
Date: Mon, 9 Nov 2020 12:13:23 -0800

tags 44471 fixed
close 44471 28.1
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I found an opportunity to simplify the code for text-quoting-style.  See
>> the attached patch.
>>
>> The patch also improves the name of the defun `get-quoting-style' by
>> changing it to `text-quoting-style'.  (This new name matches the old C
>> function name and the existing variable name.)
>>
>> Any comments?
>
> Makes sense to me.

Thanks.  There have been no other comments, so I've pushed this to
master as commit 95c04675ab.

> And since get-quoting-style is new in Emacs 28 (I think?), no
> deprecation should be necessary.

Yes, it is not even a month old (and added by yours truly).